WPA not working (rt2500usb)

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=4835

nicofo

07-06-2008 14:47:42

Hello,

I can't use WPA with rt200usb.
The error message from wpa_supplicant is
[code3q5p4v8l]# /usr/sbin/wpa_supplicant -iwlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf -Dwext -B
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - [/code3q5p4v8l]Can you help me ?
Thank you in advance.


[b3q5p4v8l]Additionnal infos[/b3q5p4v8l]
[code3q5p4v8l]# uname -r
2.6.25.4-30.fc9.i686 (Fedora 9)
# modinfo rt2500usb -F version
2.1.5
[/code3q5p4v8l]File /etc/wpa_supplicant/wpa_supplicant.conf
[code3q5p4v8l]ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

network={
ssid="XXXXXXXXX"
scan_ssid=1
proto=WPA2
psk="XXXXXXXXX"
}[/code3q5p4v8l]Remark that file must be correct since I can use ndiswrapper instead without any problem.

IvD

07-06-2008 14:53:15

Could you try with latest rt2x00.git to see if that helps?

nicofo

08-06-2008 14:14:07

Hi,

Thanks for your quick reply !

I have already a very new version of the rt2500usb module since it comes with the Fedora kernel which has been updated (including that kernel module) two days ago.

IvD

08-06-2008 14:16:44

Yes, but rt2x00.git is at version 2.1.7 and you were running 2.1.5 ;)
And in addition, some USB related patches were send last week upstream and those haven't been merged/queued for 2.6.27 yet which automatically means they aren't in a FC kernel either.

Fjodor

08-06-2008 16:10:26

Just saying it here, since it might be related (both being rt2500), that rt2500pci is finally working, as in not bringing the kernel down -), however it will not let me connect to my wpa(2?) home network. Files will be in a new thread...

Best regards,

F

nicofo

04-07-2008 19:29:57

Hello,

it still doesn't work with 2.1.7 ! Same error

[code1enujcg5]# /usr/sbin/wpa_supplicant -iwlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf -Dwext -B
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - [/code1enujcg5][code1enujcg5]# lsmod |grep rt
rt2500usb 21888 0
rt2x00usb 12160 1 rt2500usb
rt2x00lib 33536 2 rt2500usb,rt2x00usb
rfkill 9108 1 rt2x00lib
input_polldev 7176 1 rt2x00lib
mac80211 181992 2 rt2x00usb,rt2x00lib
cfg80211 25096 2 rt2x00lib,mac80211[/code1enujcg5][code1enujcg5]
$ /sbin/modinfo rt2500usb -F version
2.1.7[/code1enujcg5]

IvD

04-07-2008 19:31:56

Those WPA supplicant messages are _not_ errors and can be ignored.

Do you have hardware encryption enabled? If so, you should try disabling that.

nicofo

04-07-2008 21:06:28

Those WPA supplicant messages are _not_ errors and can be ignored.[/quote1gnahjp6]
OK. But it doesn't work while it does with the same config files and nduiswrapper

[quote1gnahjp6]Do you have hardware encryption enabled? If so, you should try disabling that.[/quote1gnahjp6]
How ?

IvD

04-07-2008 21:14:04

How did you compile rt2x00.git?

nicofo

05-07-2008 09:05:04

I didn't compile it. I have just waited the new Fedora kernel which included the 2.1.7 version of the driver

nicofo

07-07-2008 20:58:29

Can't you help me ?
Is there something wrong in my config files ?

Thanks in advance for your help.

IvD

07-07-2008 21:09:09

No it is not a config problem.
I have multiple reports about rt2500usb being completely broken at this time,
I am looking into the issue.

Could you check the tool
http//kernel.org/pub/linux/kernel/peop ... regdump.sh

and create a register dump with the working and non-working kernel?